﻿/* Privacy Statement style sheet*/

@import "site.css";


.body {
    width: 100%;
    height: 100%;
}



/* Style the tab */
.tabs {
    margin-top: 60px;
    padding: 0;
    grid-area: nav;
    font-size: 18px;
}


.wrapper {
    min-height: 100vh;
    display: grid;
    grid-template-areas: "nav article article";
    grid-template-columns: 350px auto auto;
    grid-gap: 25px;
    margin-bottom: 60px;
    overflow-y: hidden;
}

.translations {
    width: 20px;
    height: 20px;
    float: right;
    grid-area: transl;
}

.title {
    grid-area: header;
    /*margin-top: 10%;*/
}

.tablinks {
    padding-bottom: 15px;
    cursor: pointer;
    background-color: white; /* Grey background color */
    color: black; /* Black text color */
    display: block; /* Make the links appear below each other */
    padding: 12px; /* Add some padding */
    text-decoration: none; /* Remove underline from links */
    text-align: right;
    width: auto;
    border-right: 2px black solid;
    font-size: 25px;
}

    /* Change background color of buttons on hover */
    .tablinks:hover {
        background-color: lightgrey;
        text-decoration-color: black;
        color: black;
    }

    /* Create an active/current "tab button" class */
    .tablinks.active {
        background-color: lightblue;
        text-decoration: none;
    }

/* Style the tab content */
.tabcontent {
    min-height: 100%;
    display: none;
    grid-area: article;
    color: black;
    padding-top: 1px;
    padding-left: 15px;
    padding-right: 15px;
    font-size: 22px;
}


@media screen and (min-width: 2330px) {
    .watermark {
        width: 50vw;
        height: 70vh;
        z-index: -4;
        right: 25px;
        /*opacity: .6;*/
        bottom: 60px;
    }
}


@media screen and (max-width: 750px) {
    .watermark {
        display: none;
    }

    .tabcontent, .tablinks {
        font-size: medium;
    }

    .wrapper {
        grid-template-columns: auto auto auto;
        overflow-y: hidden;
    }
}

@media screen and (max-width: 400px) {
    h1 {
        font-size: large;
    }

    .warpper {
        padding: 0;
    }

    .tabs {
        height: fit-content;
        margin: 0;
    }

    .tabcontent {
        margin: 0;
        padding: 0;
    }

    .wrapper {
        grid-template-rows: max-content;
        grid-template-columns: auto;
        padding: 0;
    }
}

@media screen and (max-width: 650px) {
    .watermark {
        display: none;
    }

    .tabcontent, .tablinks {
        font-size: medium;
    }

    .wrapper {
        grid-template-columns: auto auto auto;
    }
}

@media screen and (max-width: 700px) {
    .wrapper {
        display: grid;
        grid-template-areas: "header header header" "nav article article";
        grid-template-columns: auto auto auto;
        grid-auto-rows: max-content;
        grid-auto-columns: max-content;
        grid-gap: 2px;
        padding: 0;
        margin-left: 3px;
        margin-right: 3px;
    }


    .tabs {
        grid-area: header;
        width: fit-content;
        width: -moz-fit-content;
    }

    .tabcontent {
        height: fit-content;
        padding: 0;
    }

    .tablinks {
        width: 100%;
        text-align: left;
        text-align: -moz-left;
        text-align: -webkit-left;
        border-right: none;
        border-left: 2px solid black;
        padding-top: 5px;
        padding-left: 5px;
    }

    .tabcontent, tabs {
        grid-column-start: 1;
        grid-column-end: 3;
    }
}

@media screen and (max-height: 1000px) {
    .tabcontent, .wrapper {
        padding: 5%;
        overflow-y: hidden;
    }
}
